nodejs-read-package-json-1.1.1-alt1_1.noarch.rpm


Advertisement

Description

nodejs-read-package-json - npm's package.json parser

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name nodejs-read-package-json
Package version 1.1.1
Package release alt1_1
Package architecture noarch
Package type rpm
Installed size 20.17 KB
Download size 20.17 KB
Official Mirror ftp.altlinux.org
The thing npm uses to read package.json files, with semantics, defaults and
validation.

Alternatives

Package Version Architecture Repository
nodejs-read-package-json - - -

Requires

Name Value
/usr/lib/node_modules/glob -
/usr/lib/node_modules/lru-cache -
/usr/lib/node_modules/normalize-package-data -
nodejs(engine) -
npm(glob) < 3.3
npm(glob) >= 3.2.1
npm(lru-cache) < 3
npm(lru-cache) >= 2
npm(normalize-package-data) < 1
npm(normalize-package-data) >= 0.2
rpmlib(PayloadIsLzma) -

Provides

Name Value
nodejs-read-package-json = 1.1.1-alt1_1
npm(read-package-json) = 1.1.1

Download

Type URL
Binary Package nodejs-read-package-json-1.1.1-alt1_1.noarch.rpm
Source Package nodejs-read-package-json-1.1.1-alt1_1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install nodejs-read-package-json rpm package:
    # sudo apt-get install nodejs-read-package-json

Files

Path
/usr/lib/node_modules/read-package-json/package.json
/usr/lib/node_modules/read-package-json/read-json.js
/usr/lib/node_modules/read-package-json/node_modules/glob
/usr/lib/node_modules/read-package-json/node_modules/lru-cache
/usr/lib/node_modules/read-package-json/node_modules/normalize-package-data
/usr/share/doc/nodejs-read-package-json-1.1.1/LICENSE
/usr/share/doc/nodejs-read-package-json-1.1.1/README.md

See Also

Package Description
nodejs-repl-0.1.3-alt1_4.noarch.rpm A lightweight templating library for Node.js
nodejs-request-2.25.0-alt1_1.noarch.rpm Simplified HTTP request client
nodejs-require-all-0.0.6-alt1_2.noarch.rpm Require all files within a directory
nodejs-require-cs-0.4.4-alt1_1.noarch.rpm An AMD loader plugin for CoffeeScript
nodejs-requirejs-2.1.8-alt1_1.noarch.rpm Node.js adapter for RequireJS, for loading AMD modules
nodejs-resolve-0.4.0-alt1_3.noarch.rpm Resolve like require.resolve() on behalf of files asynchronously/synchronously
nodejs-retry-0.6.0-alt1_6.noarch.rpm Retry strategies for failed operations
nodejs-revalidator-0.1.5-alt1_2.noarch.rpm A cross-browser/Node.js validator used by resourceful
nodejs-rimraf-2.2.2-alt1_1.noarch.rpm A deep deletion module for node.js
nodejs-ronn-0.4.0-alt1_3.noarch.rpm Markdown to roff/html converter
nodejs-runforcover-0.0.2-alt1_4.noarch.rpm Require plugin for JS code coverage
nodejs-sax-0.5.4-alt1_2.noarch.rpm A streaming SAX-style XML parser in JavaScript for Node.js
nodejs-semver-2.1.0-alt1_1.noarch.rpm Semantic versioner for npm
nodejs-send-0.1.2-alt1_2.noarch.rpm Better streaming static file server with Range and conditional-GET support
nodejs-sha-1.2.1-alt1_1.noarch.rpm Check and get file hashes
Advertisement
Advertisement